org.eclipse.gef4.dot.internal.dot

## Class GraphCreatorInterpreter

- java.lang.Object
- - org.eclipse.emf.ecore.util.Switch<T>
  - - org.eclipse.gef4.dot.internal.dot.parser.dot.util.DotSwitch<java.lang.Object>
    - - org.eclipse.gef4.dot.internal.dot.GraphCreatorInterpreter

    public final class GraphCreatorInterpreter
    extends org.eclipse.gef4.dot.internal.dot.parser.dot.util.DotSwitch<java.lang.Object>

Create a Zest graph instance from a DOT string by interpreting the AST of the parsed DOT.

### Field Summary

### Fields inherited from class org.eclipse.gef4.dot.internal.dot.parser.dot.util.DotSwitch

`modelPackage`

### Constructor Summary

Constructors
Constructor and Description
`GraphCreatorInterpreter()`

### Method Summary

Methods
`java.lang.Object` `caseAttribute(org.eclipse.gef4.dot.internal.dot.parser.dot.Attribute object)` Returns the result of interpreting the object as an instance of 'Attribute'
`java.lang.Object` `caseAttrStmt(org.eclipse.gef4.dot.internal.dot.parser.dot.AttrStmt object)` Returns the result of interpreting the object as an instance of 'Attr Stmt'
`java.lang.Object` `caseEdgeRhsNode(org.eclipse.gef4.dot.internal.dot.parser.dot.EdgeRhsNode object)` Returns the result of interpreting the object as an instance of 'Edge Rhs Node'
`java.lang.Object` `caseEdgeStmtNode(org.eclipse.gef4.dot.internal.dot.parser.dot.EdgeStmtNode object)` Returns the result of interpreting the object as an instance of 'Edge Stmt Node'
`java.lang.Object` `caseMainGraph(org.eclipse.gef4.dot.internal.dot.parser.dot.MainGraph object)` Returns the result of interpreting the object as an instance of 'Main Graph'
`java.lang.Object` `caseNodeId(org.eclipse.gef4.dot.internal.dot.parser.dot.NodeId object)` Returns the result of interpreting the object as an instance of 'Node Id'
`java.lang.Object` `caseNodeStmt(org.eclipse.gef4.dot.internal.dot.parser.dot.NodeStmt object)` Returns the result of interpreting the object as an instance of 'Node Stmt'
`java.lang.Object` `caseSubgraph(org.eclipse.gef4.dot.internal.dot.parser.dot.Subgraph object)` Returns the result of interpreting the object as an instance of 'Subgraph'
`org.eclipse.gef4.graph.Graph` `create(DotAst dotAst)`
`org.eclipse.gef4.graph.Graph` `create(DotAst dotAst, org.eclipse.gef4.graph.Graph.Builder graph)`

### Methods inherited from class org.eclipse.gef4.dot.internal.dot.parser.dot.util.DotSwitch

`caseAList, caseAttrList, caseEdgeRhs, caseEdgeRhsSubgraph, caseEdgeStmtSubgraph, caseGraphvizModel, caseStmt, defaultCase, doSwitch, isSwitchFor`

### Methods inherited from class org.eclipse.emf.ecore.util.Switch

`doSwitch, doSwitch`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GraphCreatorInterpreter

    public GraphCreatorInterpreter()

### Method Detail

#### create

    public org.eclipse.gef4.graph.Graph create(DotAst dotAst)

#### create

    public org.eclipse.gef4.graph.Graph create(DotAst dotAst,
                                      org.eclipse.gef4.graph.Graph.Builder graph)

#### caseMainGraph

    public java.lang.Object caseMainGraph(org.eclipse.gef4.dot.internal.dot.parser.dot.MainGraph object)

Description copied from class: `org.eclipse.gef4.dot.internal.dot.parser.dot.util.DotSwitch`
Returns the result of interpreting the object as an instance of 'Main Graph'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseMainGraph` in class `org.eclipse.gef4.dot.internal.dot.parser.dot.util.DotSwitch<java.lang.Object>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Main Graph'.
See Also:
  `doSwitch(EObject)`

#### caseAttribute

    public java.lang.Object caseAttribute(org.eclipse.gef4.dot.internal.dot.parser.dot.Attribute object)

Description copied from class: `org.eclipse.gef4.dot.internal.dot.parser.dot.util.DotSwitch`
Returns the result of interpreting the object as an instance of 'Attribute'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseAttribute` in class `org.eclipse.gef4.dot.internal.dot.parser.dot.util.DotSwitch<java.lang.Object>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Attribute'.
See Also:
  `doSwitch(EObject)`

#### caseAttrStmt

    public java.lang.Object caseAttrStmt(org.eclipse.gef4.dot.internal.dot.parser.dot.AttrStmt object)

Description copied from class: `org.eclipse.gef4.dot.internal.dot.parser.dot.util.DotSwitch`
Returns the result of interpreting the object as an instance of 'Attr Stmt'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseAttrStmt` in class `org.eclipse.gef4.dot.internal.dot.parser.dot.util.DotSwitch<java.lang.Object>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Attr Stmt'.
See Also:
  `doSwitch(EObject)`

#### caseNodeStmt

    public java.lang.Object caseNodeStmt(org.eclipse.gef4.dot.internal.dot.parser.dot.NodeStmt object)

Description copied from class: `org.eclipse.gef4.dot.internal.dot.parser.dot.util.DotSwitch`
Returns the result of interpreting the object as an instance of 'Node Stmt'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseNodeStmt` in class `org.eclipse.gef4.dot.internal.dot.parser.dot.util.DotSwitch<java.lang.Object>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Node Stmt'.
See Also:
  `doSwitch(EObject)`

#### caseEdgeStmtNode

    public java.lang.Object caseEdgeStmtNode(org.eclipse.gef4.dot.internal.dot.parser.dot.EdgeStmtNode object)

Description copied from class: `org.eclipse.gef4.dot.internal.dot.parser.dot.util.DotSwitch`
Returns the result of interpreting the object as an instance of 'Edge Stmt Node'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseEdgeStmtNode` in class `org.eclipse.gef4.dot.internal.dot.parser.dot.util.DotSwitch<java.lang.Object>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Edge Stmt Node'.
See Also:
  `doSwitch(EObject)`

#### caseNodeId

    public java.lang.Object caseNodeId(org.eclipse.gef4.dot.internal.dot.parser.dot.NodeId object)

Description copied from class: `org.eclipse.gef4.dot.internal.dot.parser.dot.util.DotSwitch`
Returns the result of interpreting the object as an instance of 'Node Id'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseNodeId` in class `org.eclipse.gef4.dot.internal.dot.parser.dot.util.DotSwitch<java.lang.Object>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Node Id'.
See Also:
  `doSwitch(EObject)`

#### caseEdgeRhsNode

    public java.lang.Object caseEdgeRhsNode(org.eclipse.gef4.dot.internal.dot.parser.dot.EdgeRhsNode object)

Description copied from class: `org.eclipse.gef4.dot.internal.dot.parser.dot.util.DotSwitch`
Returns the result of interpreting the object as an instance of 'Edge Rhs Node'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseEdgeRhsNode` in class `org.eclipse.gef4.dot.internal.dot.parser.dot.util.DotSwitch<java.lang.Object>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Edge Rhs Node'.
See Also:
  `doSwitch(EObject)`

#### caseSubgraph

    public java.lang.Object caseSubgraph(org.eclipse.gef4.dot.internal.dot.parser.dot.Subgraph object)

Description copied from class: `org.eclipse.gef4.dot.internal.dot.parser.dot.util.DotSwitch`
Returns the result of interpreting the object as an instance of 'Subgraph'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseSubgraph` in class `org.eclipse.gef4.dot.internal.dot.parser.dot.util.DotSwitch<java.lang.Object>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Subgraph'.
See Also:
  `doSwitch(EObject)`